Loading...
Searching...
No Matches
QXmppJingleRtpFeedbackInterval Class Reference

The QXmppJingleRtpFeedbackInterval class represents the XEP-0293: Jingle RTP Feedback Negotiation "rtcp-fb-trr-int" element. More...

## Public Member Functions

| QXmppJingleRtpFeedbackInterval ()
uint64_t | value () const
void | setValue (uint64_t value)

## Static Public Member Functions

static bool | isJingleRtpFeedbackInterval (const QDomElement &element)

## Detailed Description

The QXmppJingleRtpFeedbackInterval class represents the XEP-0293: Jingle RTP Feedback Negotiation "rtcp-fb-trr-int" element.

Since
  QXmpp 1.5

## Constructor & Destructor Documentation

## QXmppJingleRtpFeedbackInterval()

QXmppJingleRtpFeedbackInterval::QXmppJingleRtpFeedbackInterval | ( |  | ) |

Constructs a Jingle RTP feedback interval.

## Member Function Documentation

## isJingleRtpFeedbackInterval()

bool QXmppJingleRtpFeedbackInterval::isJingleRtpFeedbackInterval | ( | const QDomElement & | element | ) |

static

Determines whether the given DOM element is an RTP feedback interval element.

Parameters

  element | DOM element being checked

Returns
  whether element is an RTP feedback interval element

## setValue()

void QXmppJingleRtpFeedbackInterval::setValue | ( | uint64_t | value | ) |

Sets the value of the RTP feedback interval.

Parameters

  value | RTP feedback interval value

## value()

uint64_t QXmppJingleRtpFeedbackInterval::value | ( |  | ) | const

Returns the value of the RTP feedback interval.

Returns
  the RTP feedback interval value

The documentation for this class was generated from the following files:

- QXmppJingleData.h
- QXmppJingleData.cpp